GNU bug report logs - #40335
27.0.90; elp-not-profilable not up to date

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Philipp Stephani <p.stephani2@HIDDEN>; dated Mon, 30 Mar 2020 21:26:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 40335 <at> debbugs.gnu.org:


Received: (at 40335) by debbugs.gnu.org; 13 Apr 2020 16:54:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 13 12:54:42 2020
Received: from localhost ([127.0.0.1]:60646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jO2M6-0003nz-CN
	for submit <at> debbugs.gnu.org; Mon, 13 Apr 2020 12:54:42 -0400
Received: from mail-lf1-f66.google.com ([209.85.167.66]:43498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1jO2M4-0003nl-IK
 for 40335 <at> debbugs.gnu.org; Mon, 13 Apr 2020 12:54:41 -0400
Received: by mail-lf1-f66.google.com with SMTP id k28so7051271lfe.10
 for <40335 <at> debbugs.gnu.org>; Mon, 13 Apr 2020 09:54:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=e2phenAZxeF2KbNSOo1NERscTLD4PWbM1r8NWK9H0Mc=;
 b=kzEjPuU7qB/dFIRpNKFZORHixrXC1d+6i5xSdBjpCwP8W0rSMNrdyfZ9LyevDAAeSu
 ZCZJF8JK1spf6gACdrpEsWVYOq+N880FhcF7szrxfHcqdSjs6X3wruIU8u6p/bnoO55A
 q/ujWrtFyxm6sWpGVAPIhTDKFPgh3nxO2Nk/G0pN7RA75H893KZUVhiLZu+rjUZNDXUg
 /wHNTIpmAeiPyC/uzBcfcuDoJlG4/XZOP5smktEULNts5Uc/sqWi78eZygqoSINohYYi
 2zrb3i3/7WtlIEFC7tlwyhgLmC1F7T6KQ1C520pZbhjEW9YMM0kWq/RgPjf3ojMPAw89
 2hzw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=e2phenAZxeF2KbNSOo1NERscTLD4PWbM1r8NWK9H0Mc=;
 b=Wd3Q8tpMiionJchPq1O3LvJXXtcNNBpCCV3T6AE8FoUwtfz1sTp6dlPavbJcAgEZWP
 CdJ4UOsrV7B9weoZ87DGPDRFPCOq9r0hQBmYqsKJ7rDMH76NAfYKBV1ZnCrysllQONX3
 2v2ampY2IjYv5yAyYItxCM/0DjC2x+anrU4qzZdTgSvQKiGsr3WIVIF6rhnWcUrnSYlO
 4B1J1P61mPsvx/QIk5pI2HG0z1+1/1S24ElNQqAx2VvDcSyAvqEs91qBTEEizsZ5sXfQ
 HpRskEmjxZZx8J7FeeVKHC0o3D2EbhAlfuHFXoZ0kPSr3/znRMYkOtHopBEBIJ71OvAq
 xXFw==
X-Gm-Message-State: AGi0PuagaBg9HyyHadXUWCzXwVGyWmAqmV/JPziSmcLaXGNBNs501R1a
 gdamXdPXuy/fd2Y/pELNhyU=
X-Google-Smtp-Source: APiQypJhIdMx4ieZRnruocwymJxBayNZ6ueMCPiCIHa2GtI68SU+Qczn5e3/aV1eV5WQtrKVVFU+ag==
X-Received: by 2002:ac2:4da7:: with SMTP id h7mr10740384lfe.95.1586796874423; 
 Mon, 13 Apr 2020 09:54:34 -0700 (PDT)
Received: from localhost ([185.112.167.47])
 by smtp.gmail.com with ESMTPSA id s7sm8422584lfb.40.2020.04.13.09.54.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Apr 2020 09:54:33 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#40335: 27.0.90; elp-not-profilable not up to date
In-Reply-To: <85pncbz80d.fsf@HIDDEN> (Noam Postavsky's message of "Mon, 13
 Apr 2020 12:05:06 -0400")
References: <wvr4sghpedsi.fsf@HIDDEN> <87wo6ja15q.fsf@HIDDEN>
 <85sgh7zar6.fsf@HIDDEN> <87sgh79zbm.fsf@HIDDEN>
 <85pncbz80d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Mon, 13 Apr 2020 18:55:09 +0200
Message-ID: <87o8rv9vgy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, 13 Apr 2020 12:05:06 -0400 Noam Postavsky wrote: >>
 Right, because that was just an error on my part: `time-subtract' does >>
 in fact exhibit the problem. But its alias `subtract-time' doesn't, even
 >> when advised explicitly. I guess advices ignore [...] 
 Content analysis details:   (2.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.112.167.47 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stepnem[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.66 listed in list.dnswl.org]
 -0.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.66 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 40335
Cc: 40335 <at> debbugs.gnu.org, Philipp Stephani <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Mon, 13 Apr 2020 12:05:06 -0400 Noam Postavsky wrote: >>
    Right, because that was just an error on my part: `time-subtract' does >>
    in fact exhibit the problem. But its alias `subtract-time' doesn't, even
   >> when advised explicitly. I guess advices ignore [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.167.66 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.112.167.47 listed in zen.spamhaus.org]
 -0.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.167.66 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stepnem[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

On Mon, 13 Apr 2020 12:05:06 -0400
Noam Postavsky wrote:

>> Right, because that was just an error on my part: `time-subtract' does
>> in fact exhibit the problem. But its alias `subtract-time' doesn't, even
>> when advised explicitly. I guess advices ignore aliases (i.e. pass
>> through to the real definition)?
>
> Seems to be the opposite: the advice applies only to the alias, so since
> elp uses the time-subtract name, advising subtract-time doesn't cause
> problems.

Indeed, thanks :-D

I wonder what the best way forward is here. (info "(elisp) Profiling")
states that elp "is limited to profiling functions written in Lisp, it
cannot profile Emacs primitives". So given that of the problem-makers
only `error' is a Lisp function, the simplest solution would be just
replacing `special-form-p' with `subrp' in `elp-profilable-p', thus
disallowing instrumenting primitives altogether.

If we want to preserve the partial support for primitives, do we want to
support as much as possible, e.g. by runtime-checking if
`elp--make-wrapper' is compiled and determine the set of problem-makers
dynamically, or do we just update the static `elp-not-profilable' list
conservatively (i.e., including _all_ functions called from the
wrappers, to make sure they don't cause problems even when
`elp--make-wrapper' is run interpreted)?

--=20
=C5=A0t=C4=9Bp=C3=A1n




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40335; Package emacs. Full text available.

Message received at 40335 <at> debbugs.gnu.org:


Received: (at 40335) by debbugs.gnu.org; 13 Apr 2020 16:05:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 13 12:05:15 2020
Received: from localhost ([127.0.0.1]:60551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jO1aF-0006pu-66
	for submit <at> debbugs.gnu.org; Mon, 13 Apr 2020 12:05:15 -0400
Received: from mail-qk1-f179.google.com ([209.85.222.179]:44219)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jO1aE-0006pa-0t
 for 40335 <at> debbugs.gnu.org; Mon, 13 Apr 2020 12:05:14 -0400
Received: by mail-qk1-f179.google.com with SMTP id j4so9888917qkc.11
 for <40335 <at> debbugs.gnu.org>; Mon, 13 Apr 2020 09:05:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=LYaxmXLn4a+3dC9sRh/gpCw/Hjy3R0M8vjjL+coma0c=;
 b=KGHS6l5PmgC4HAO+XeFWjSLNft6nk1QtvHzPDaEME8DskA5TCGdYj+kRZIo40cASOQ
 sDRYGcHNxA26nkBhIeIwW8ZMKQi2ahNINzRcuRrO9bZxaVXCa5Hy7stwPUv1SY9goCbm
 tAYX80v9OxEK0fof465h/YKCxJ9+DKn8RJWbvCkIVDco+nT6HSO24Jx+u7yCkJkhNtER
 FXxw1kE9946/wK86I+bN0vpvYSNJb5whj1CA6b1yIOQ9tsfkUz2COD38Ouso8SnZwiWp
 zZAfBbq2IZ/AwV/SQ+EqInxYLpyy04DIEb7hPJ8ks/5E22N0Idjld6s6yS21T1GGZHih
 PwuQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=LYaxmXLn4a+3dC9sRh/gpCw/Hjy3R0M8vjjL+coma0c=;
 b=hYsk01/8aSucBWA1hQIp7QylklWrnEOtXMU83taignjCP8F36lS/ykrlsAp7Cmj54W
 dJd9qzPd5erSgugeLLz1acCCMTnIAijF7bW9i1500CKl5obb8UW9ymCqco4vs6ahrHat
 lQ7I35T2efdKl0uRS4k3ELORgm4b3jrAiKppsiBL1+cdweWc9BMdE0CkMDyMqkwP4B7v
 MSJqYzOHRZJJ30mC74X1LxuXR+cmiiZBtq/xA4gg1FvZNkIrVLg/23XBnOqc/Sb6ihWS
 mlvsgFsYTtIuunlpsoI2A2YelPjApAdmuwM14VNm+/1ylEH1RdBkaVcdSIxXL/Aen7wm
 FkvQ==
X-Gm-Message-State: AGi0PuZppVHrUWf+8LTSjPE/8a56YSj3AGjJfplCj9/EEEZTa7SvtxRU
 u1W/c9UK25psEBEgUlN62qQ=
X-Google-Smtp-Source: APiQypJhivpcBc1XrZ//rZq9QfPaft/wHgpHnUJ7vZA8YkDnDCOuFoOJB6bsuyzObO9oMci1v+57fA==
X-Received: by 2002:a05:620a:2094:: with SMTP id
 e20mr3935339qka.365.1586793908424; 
 Mon, 13 Apr 2020 09:05:08 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.38.42])
 by smtp.gmail.com with ESMTPSA id t15sm9227547qtc.64.2020.04.13.09.05.06
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 13 Apr 2020 09:05:06 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#40335: 27.0.90; elp-not-profilable not up to date
References: <wvr4sghpedsi.fsf@HIDDEN> <87wo6ja15q.fsf@HIDDEN>
 <85sgh7zar6.fsf@HIDDEN> <87sgh79zbm.fsf@HIDDEN>
Date: Mon, 13 Apr 2020 12:05:06 -0400
In-Reply-To: <87sgh79zbm.fsf@HIDDEN> (=?utf-8?B?IsWgdMSbcMOhbiBOxJtt?=
 =?utf-8?B?ZWMiJ3M=?= message of "Mon, 13 Apr 2020 17:31:57 +0200")
Message-ID: <85pncbz80d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: 40335
Cc: 40335 <at> debbugs.gnu.org, Philipp Stephani <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

=C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:

>> However, that doesn't explain why `subtract-time' is
>> okay while `float-time' causes problems.
>
> Right, because that was just an error on my part: `time-subtract' does
> in fact exhibit the problem. But its alias `subtract-time' doesn't, even
> when advised explicitly. I guess advices ignore aliases (i.e. pass
> through to the real definition)?

Seems to be the opposite: the advice applies only to the alias, so since
elp uses the time-subtract name, advising subtract-time doesn't cause
problems.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40335; Package emacs. Full text available.

Message received at 40335 <at> debbugs.gnu.org:


Received: (at 40335) by debbugs.gnu.org; 13 Apr 2020 15:31:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 13 11:31:30 2020
Received: from localhost ([127.0.0.1]:60525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jO13a-0005vz-0X
	for submit <at> debbugs.gnu.org; Mon, 13 Apr 2020 11:31:30 -0400
Received: from mail-lf1-f65.google.com ([209.85.167.65]:38349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1jO13X-0005vk-Tc
 for 40335 <at> debbugs.gnu.org; Mon, 13 Apr 2020 11:31:28 -0400
Received: by mail-lf1-f65.google.com with SMTP id l11so6841134lfc.5
 for <40335 <at> debbugs.gnu.org>; Mon, 13 Apr 2020 08:31:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=aR1zZnAYQG2zGJ07kl1+8XGSH5qP8RMWTLxF2jVhYdA=;
 b=ur+OCogyKfv9PiB6+G73TFA0Xt2NmMqit2oHCCoiMExRAT7TR5fZEAkYGhoo9lphYC
 sApWd4zzQIpu2YqKzWiZ31xweOJJwoLVUxmnqhB6ykAEAcrNQON1c4DA1JLRE2+JDZ+I
 7zxsIaIuaQ5QzZCERAQXxCg96WD7PTo9Wkd2w20F/tRUo9XGIc5zYoGsnzN8TWR2kKDw
 a44NUWUKS6jxOHLxD/CU0aydBrZ+8i3f5Q68mAUZ9/O24MznvFyKCPql2sUA6oOT5K8e
 kPPBLkXdDIV0VrQQZZZOq/Ze+o7fokbbcvmmikO5zOBV8WBIeWZ4asYi/ggCPuV7Mmqb
 +qZw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=aR1zZnAYQG2zGJ07kl1+8XGSH5qP8RMWTLxF2jVhYdA=;
 b=ss1IUefbr1HH4CGB/J7EcTM814mBR5qRD4A1aPo8Xh6Y1v9OEYEcThj8RuW3GRsBce
 L4e8giMA4MwTPEL9ULKmYwXu1sRuCIui7r1YdD/pWqlKBWq0QFJSS/JyDSeqH6MMUP27
 WSkj8e+crTe2+zXVclZJvvi/AwSyL6u5bqiqZA6/Tf4IDt5lURJm0h9+GFJkBFsIXUiq
 MxIXCny+ViUhleyqlsCvFFzSR4oj/DJb9hvxhGuiEvl41/naXt5SvMDPQlxpZstuIZWR
 k+JlPlEt81WCvrj7bnG6L3QP4f1jMj7UmaLDs1+kcdAhIgeIunrkSKFv6OzekvSsulk8
 NpuA==
X-Gm-Message-State: AGi0PuZx8UeUhhBWxqPSd6ha2LQxMhuvvkAQVFkQuHPwCnhSt1GiUOpY
 xi6l5zY9CpNGgjOIMdquGoU=
X-Google-Smtp-Source: APiQypI6MrovfC4EGCL1Acs5hjRkJccgOqoxyHwlvOKayDmz58BxSp09FJet3Z5WvW1rf3l6L7kL+A==
X-Received: by 2002:a19:ee06:: with SMTP id g6mr9440907lfb.90.1586791881820;
 Mon, 13 Apr 2020 08:31:21 -0700 (PDT)
Received: from localhost ([185.112.167.47])
 by smtp.gmail.com with ESMTPSA id u7sm8293828lfg.20.2020.04.13.08.31.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Apr 2020 08:31:21 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#40335: 27.0.90; elp-not-profilable not up to date
In-Reply-To: <85sgh7zar6.fsf@HIDDEN> (Noam Postavsky's message of "Mon, 13
 Apr 2020 11:05:49 -0400")
References: <wvr4sghpedsi.fsf@HIDDEN> <87wo6ja15q.fsf@HIDDEN>
 <85sgh7zar6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Mon, 13 Apr 2020 17:31:57 +0200
Message-ID: <87sgh79zbm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Mon, 13 Apr 2020 11:05:49 -0400 Noam Postavsky wrote: >
    Štěpán Němec writes: > >> All the others can be removed AFAICT, and none
    of `eq', `get', `aref' or >> `time-subtract', also called by the wrapper
   lambdas >> (`elp--make-wrapper'), seemed to ca [...] 
 
 Content analysis details:   (2.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.112.167.47 listed in zen.spamhaus.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stepnem[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.167.65 listed in list.dnswl.org]
 -0.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.167.65 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 40335
Cc: 40335 <at> debbugs.gnu.org, Philipp Stephani <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Mon, 13 Apr 2020 11:05:49 -0400 Noam Postavsky wrote: >
    Štěpán Němec writes: > >> All the others can be removed AFAICT, and none
    of `eq', `get', `aref' or >> `time-subtract', also called by the wrapper
   lambdas >> (`elp--make-wrapper'), seemed to ca [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.167.65 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.112.167.47 listed in zen.spamhaus.org]
 -0.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.167.65 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stepnem[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

On Mon, 13 Apr 2020 11:05:49 -0400
Noam Postavsky wrote:

> =C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:
>
>> All the others can be removed AFAICT, and none of `eq', `get', `aref' or
>> `time-subtract', also called by the wrapper lambdas
>> (`elp--make-wrapper'), seemed to cause issues for me.
>>
>> IIUC advice has no effect for calls from C functions to C functions, but
>> I don't understand what makes e.g. `float-time' (which breaks) different
>> from `aref' or `get' (which apparently don't) in that respect.
>
> The obvious difference between `float-time' and `aref' or `get' is that
> the latter have byte code ops (so advice doesn't work on byte-compiled
> calls to them).

Ah! That makes sense, thank you.

> However, that doesn't explain why `subtract-time' is
> okay while `float-time' causes problems.

Right, because that was just an error on my part: `time-subtract' does
in fact exhibit the problem. But its alias `subtract-time' doesn't, even
when advised explicitly. I guess advices ignore aliases (i.e. pass
through to the real definition)?

--=20
=C5=A0t=C4=9Bp=C3=A1n




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40335; Package emacs. Full text available.

Message received at 40335 <at> debbugs.gnu.org:


Received: (at 40335) by debbugs.gnu.org; 13 Apr 2020 15:05:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 13 11:05:57 2020
Received: from localhost ([127.0.0.1]:60514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jO0er-0005IA-Mf
	for submit <at> debbugs.gnu.org; Mon, 13 Apr 2020 11:05:57 -0400
Received: from mail-qt1-f172.google.com ([209.85.160.172]:40377)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jO0ep-0005Hu-TQ
 for 40335 <at> debbugs.gnu.org; Mon, 13 Apr 2020 11:05:56 -0400
Received: by mail-qt1-f172.google.com with SMTP id l13so4577262qtr.7
 for <40335 <at> debbugs.gnu.org>; Mon, 13 Apr 2020 08:05:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=qAzZzAoXFwH/Ml9xit+kBGk5pinv+jDtutIyVUuLDBE=;
 b=XgsIgMLDzlFkAeNZwQfqvxpATYW9WN+HKPhYk9CPXGpOCRWA13aa2ZYN934DnFk/9E
 yImjr7AhkxcfPPwwld9nf16QRRkdEla5UNYkRlCFWscIJBFAydc98bU+B3vnI1clHWao
 lDv6SDUVhtmvgLp2keMzAwGTnxE2mTGa6YCGR6n9zgbXB4tLGsB7lTWKMyaRA9qhliiD
 ZLcVWogyMDiuSrZ/KLeC+y++KND9Q+iacWUq+fJMVmPxf91pGFog2t53mTgQalkcOv/t
 5P1PnEgBprD1J9+Nt5TR5l7pfn444kZcrFrCCF19wFkqY4YaFGfvnfqVMdmfoaFyWJnn
 ZZow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=qAzZzAoXFwH/Ml9xit+kBGk5pinv+jDtutIyVUuLDBE=;
 b=kRpeBha/19fTgAV3b/rfrB6kWcYrIFizq/jBDKBUlaHCW4tRJ/V7S6oEEzb7SFsgx7
 UFHfPSMwz+W5/XOUXZflrzER+/L6cYjn42ck17IEkHQWDGHXbLnk7bh7Xx9tJiOz+dsv
 eelcaJyb0h7sxeaKdP9/AikhcIA8B08IVYzW7sdXQbvZcj+y6M7wOrku/GKWDiCopeJq
 tORMx9mrCeKPPv7Jz5GCU8Z85cFnJSHTo3JBCc9lzJMx8ZyVrWIryf/3852ApT7NeylO
 sSAjt7tmYL1tCd43ZLXM3ZXgesursclLY1k8kn7XTKO8rxqusK6MTEL8ye2I8BAjhv3k
 8y9Q==
X-Gm-Message-State: AGi0PubtubmsPmzbBzspGOTjvMZK/YzMX4xoqxQi9wykhLtiOI+rnHjD
 alahS/cLf8JiXxkh7WmBYZKWmMBF4ns=
X-Google-Smtp-Source: APiQypL0F2H5wL1UusterQnbvv+939f1eScJPK7f+XNmPpeTsZLiRUPzDpx80n8S0bCGKTGGbjiu3g==
X-Received: by 2002:ac8:4d8e:: with SMTP id a14mr4764240qtw.275.1586790350195; 
 Mon, 13 Apr 2020 08:05:50 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.38.42])
 by smtp.gmail.com with ESMTPSA id 11sm7382051qkg.122.2020.04.13.08.05.49
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 13 Apr 2020 08:05:49 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#40335: 27.0.90; elp-not-profilable not up to date
References: <wvr4sghpedsi.fsf@HIDDEN> <87wo6ja15q.fsf@HIDDEN>
Date: Mon, 13 Apr 2020 11:05:49 -0400
In-Reply-To: <87wo6ja15q.fsf@HIDDEN> (=?utf-8?B?IsWgdMSbcMOhbiBOxJtt?=
 =?utf-8?B?ZWMiJ3M=?= message of "Mon, 13 Apr 2020 16:52:17 +0200")
Message-ID: <85sgh7zar6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: 40335
Cc: 40335 <at> debbugs.gnu.org, Philipp Stephani <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

=C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:

> All the others can be removed AFAICT, and none of `eq', `get', `aref' or
> `time-subtract', also called by the wrapper lambdas
> (`elp--make-wrapper'), seemed to cause issues for me.
>
> IIUC advice has no effect for calls from C functions to C functions, but
> I don't understand what makes e.g. `float-time' (which breaks) different
> from `aref' or `get' (which apparently don't) in that respect.

The obvious difference between `float-time' and `aref' or `get' is that
the latter have byte code ops (so advice doesn't work on byte-compiled
calls to them).  However, that doesn't explain why `subtract-time' is
okay while `float-time' causes problems.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40335; Package emacs. Full text available.

Message received at 40335 <at> debbugs.gnu.org:


Received: (at 40335) by debbugs.gnu.org; 13 Apr 2020 14:51:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 13 10:51:51 2020
Received: from localhost ([127.0.0.1]:60501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jO0RC-0004s6-J3
	for submit <at> debbugs.gnu.org; Mon, 13 Apr 2020 10:51:51 -0400
Received: from mail-lf1-f52.google.com ([209.85.167.52]:39817)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1jO0RA-0004rN-9N
 for 40335 <at> debbugs.gnu.org; Mon, 13 Apr 2020 10:51:49 -0400
Received: by mail-lf1-f52.google.com with SMTP id m2so6729064lfo.6
 for <40335 <at> debbugs.gnu.org>; Mon, 13 Apr 2020 07:51:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version;
 bh=u35mqnIGmwU+ThYECjo507e+hNciffGGUsUROgO4QoY=;
 b=pBklvG29XDvDCBhHkl29Xm9gAqItLlWjlCcd0mOpCWRzg89Up7JgWwhm8va5dTxcr0
 X1y6O2q/NQ6UG7d9+SlCn6xVrv+JKLlPgdX1xiL4p3xadCKn0mL5w4bhpolKXGAMDRBY
 bmL+ljjlmfIYkTEzbVfOfemTWaR3Z9OVvzi7B0JbsXSnqyzawuXOrrao6L9/w7t3R6Mi
 0p40zcnXxqPy/IlBf2+dviru1UwY6DTgpm25DoL15RWXkcKs8GgKZzOff+dw785SPN1v
 Ti8nr+fSHaMD2Ky3XlumsVa3qPb+sDFaOeGzEdJjidI5ArQotjKcOSgPnH4oDHKaTSF/
 V2Yg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=u35mqnIGmwU+ThYECjo507e+hNciffGGUsUROgO4QoY=;
 b=p8Y60b+aM6+vdAcoAiE3zNyHvr0Z0xeDCl+DxNAeavRNMWRvn8zn5EHGljcmbJX1tZ
 K5QcjX1tG9a/Ve/rIp0ci+S93noyoA5+0Pt4lNMzFKouzlOGTSF5u66pietKe9msodwG
 2rqFBxSrIlUUj8VpuO0lCuU0080A+LY9q9CEnklWUv8JTz34sU8C76LZCdqPuRa9pUyW
 HkCCtihE95eRWbAEkXHVJ1qrrMM0jCaQvO7y9suSMClzGlPOM7VySL6B7SIQIsR5oigA
 9v7K7tAtjknEndvZgPeRLTHKNAv/FdbZslb4yOQ+sfIGduaRHLRoxOn4GP+Tu7o29qPf
 S8Ig==
X-Gm-Message-State: AGi0Puat5ZYk1hdgvxM8hVYJ1Y9GSqZVM8m/YzKN/McpF5FmMA68y9ZE
 uMq1eUWVIssVODKB6jaG47w=
X-Google-Smtp-Source: APiQypJK///yMK//MlGVXI95rUJP2ThVVApFzr/ZXWrKHtfu7S0ahD6+D14m+d9P2wBZjTgKtdp23A==
X-Received: by 2002:ac2:43c7:: with SMTP id u7mr6296052lfl.50.1586789502090;
 Mon, 13 Apr 2020 07:51:42 -0700 (PDT)
Received: from localhost ([185.112.167.47])
 by smtp.gmail.com with ESMTPSA id f4sm2055623lfa.24.2020.04.13.07.51.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Apr 2020 07:51:41 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#40335: 27.0.90; elp-not-profilable not up to date
In-Reply-To: <wvr4sghpedsi.fsf@HIDDEN> (Philipp Stephani's message of "Mon, 
 30 Mar 2020 23:25:01 +0200")
References: <wvr4sghpedsi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Mon, 13 Apr 2020 16:52:17 +0200
Message-ID: <87wo6ja15q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, 30 Mar 2020 23:25:01 +0200 Philipp Stephani wrote:
 > emacs -Q -eval '(elp-instrument-list (quote (float-time eq)))' > > Then
 something like C-x d leads to infinite recursion. It looks like > the list
 `elp-not-profilable' is outdated and should be rege [...] 
 Content analysis details:   (2.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.112.167.47 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stepnem[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.52 listed in list.dnswl.org]
 -0.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.52 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 40335
Cc: 40335 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Mon, 30 Mar 2020 23:25:01 +0200 Philipp Stephani wrote:
    > emacs -Q -eval '(elp-instrument-list (quote (float-time eq)))' > > Then
    something like C-x d leads to infinite recursion. It looks like > the list
    `elp-not-profilable' is outdated and should be rege [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.167.52 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.112.167.47 listed in zen.spamhaus.org]
 -0.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.167.52 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stepnem[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

On Mon, 30 Mar 2020 23:25:01 +0200
Philipp Stephani wrote:

> emacs -Q -eval '(elp-instrument-list (quote (float-time eq)))'
>
> Then something like C-x d leads to infinite recursion.  It looks like
> the list `elp-not-profilable' is outdated and should be regenerated.

The list (as well as the comment) is definitely out of date, given that
since its last modification elp has been updated to use nadvice.el, also
the `float-time' weren't originally being used, OTOH some of the
original functions listed aren't used by elp any more.

But I can't tell which functions should really be on it. The comment
says that functions directly or indirectly used by the wrapper should be
avoided, but from my anecdotal testing, the only of those that cause
problems are `apply', `error', `current-time' and `float-time'.

All the others can be removed AFAICT, and none of `eq', `get', `aref' or
`time-subtract', also called by the wrapper lambdas
(`elp--make-wrapper'), seemed to cause issues for me.

IIUC advice has no effect for calls from C functions to C functions, but
I don't understand what makes e.g. `float-time' (which breaks) different
from `aref' or `get' (which apparently don't) in that respect.

Here's what seems to work for me:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=elp.diff

diff --git a/lisp/emacs-lisp/elp.el b/lisp/emacs-lisp/elp.el
index 7dd3cbd1a2..f357783256 100644
--- a/lisp/emacs-lisp/elp.el
+++ b/lisp/emacs-lisp/elp.el
@@ -202,16 +202,9 @@ elp-master
   "Master function symbol.")
 
 (defvar elp-not-profilable
-  ;; First, the functions used inside each instrumented function:
-  '(called-interactively-p
-    ;; Then the functions used by the above functions.  I used
-    ;; (delq nil (mapcar (lambda (x) (and (symbolp x) (fboundp x) x))
-    ;;                   (aref (symbol-function 'elp-wrapper) 2)))
-    ;; to help me find this list.
-    error call-interactively apply current-time
-    ;; Andreas Politz reports problems profiling these (Bug#4233):
-    + byte-code-function-p functionp byte-code subrp
-    indirect-function fboundp)
+  ;; functions used inside each instrumented function cause infinite
+  ;; recursion:
+  '(apply current-time error float-time)
   "List of functions that cannot be profiled.
 Those functions are used internally by the profiling code and profiling
 them would thus lead to infinite recursion.")

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40335; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Mar 2020 21:25:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 17:25:11 2020
Received: from localhost ([127.0.0.1]:35198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJ1uA-0006kI-Pu
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 17:25:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:54243)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1jJ1u9-0006kA-3j
 for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 17:25:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43299)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <p.stephani2@HIDDEN>) id 1jJ1u7-0007yc-FD
 for bug-gnu-emacs@HIDDEN; Mon, 30 Mar 2020 17:25:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <p.stephani2@HIDDEN>) id 1jJ1u6-0008JY-73
 for bug-gnu-emacs@HIDDEN; Mon, 30 Mar 2020 17:25:07 -0400
Received: from mail-wr1-x42e.google.com ([2a00:1450:4864:20::42e]:33612)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <p.stephani2@HIDDEN>)
 id 1jJ1u5-0008J9-SX
 for bug-gnu-emacs@HIDDEN; Mon, 30 Mar 2020 17:25:06 -0400
Received: by mail-wr1-x42e.google.com with SMTP id a25so23522197wrd.0
 for <bug-gnu-emacs@HIDDEN>; Mon, 30 Mar 2020 14:25:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=jZvpS7Qis4ciQSJLqQzJyHQQGbTKdXzPFC9Qvb7e6UU=;
 b=exv2j2iX5cQBPLuf2R8yrmhgnNWeN3rHmhh8H9dM7AcwoQNWzaF685xLjvBAU8fbHb
 55B9yAM5KJNNv6UozNuzg20i6n+e7sye1L/RxrJo9CwZsoXjnnHKE9xipy3EVFPm8kOw
 8IWtfGhpaJxJ15/Vo10qQ7DKCBmAdAh1NFmmK/OncunqL6AJ4/+adT5QC82tVQSLXoTx
 BpabhTxFzGoT9qfdZvrqmKXiuu0RljQQMO7Q0m4/ByR69h5ql7RXysGc5ts07C+0M7W+
 RGrcmhBnMm9WeMQEoUaRWlfUAfNwH41bKmZe2r84iWiTc7mJRHOITLbvGlrUsTuyfr0e
 kmUA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=jZvpS7Qis4ciQSJLqQzJyHQQGbTKdXzPFC9Qvb7e6UU=;
 b=pAGFcxNtPvb9H9CYTHrxl2T4t6vRnGAz0yILwfNjiBUW6Mq/n6HhQXM4G2vTA9lHmB
 SteqlJO0kfEJ8fIXd3o4OyZUKRNCZuJRwhYCaMlStWeNegwseVkMyHCF/Su22amUdcWL
 yCsB+aPnZxt4FU5B3/QnHTNcB8n+EewGoTRqrgYKPONL059DarGZ4FatU7Q5h36ACfkE
 l8BxwucEl+ZRvSqkXb73tQbQrZ23S9+uxu7RDtgTnbhJf1MVRgB91XRe+fw1gogv2j5R
 lsogAb1/8oGSiRohUfTtT1yudM7YV4Qxt7P1GBHC77L2LLm6g+bIFv9UWoGaihKpX5YP
 HS7g==
X-Gm-Message-State: ANhLgQ1+RHNhnWx9TzLWo9ErREQwszzQ12iRGa+7/8r0DOV9pRLWY+dJ
 6jiZN4DW/nf2NerrpHSYK9Qv0kIC
X-Google-Smtp-Source: ADFU+vszECatJSNXAu1Glh4O/cwsl9O+ishFfedoneP9MbUd7maSvHC5c0PNgD5lSb7xDLoEHMoLQw==
X-Received: by 2002:adf:a319:: with SMTP id c25mr16917277wrb.197.1585603503922; 
 Mon, 30 Mar 2020 14:25:03 -0700 (PDT)
Received: from phst1 ([2a02:2455:2a2:100:c351:ffcc:5d8e:4288])
 by smtp.gmail.com with ESMTPSA id k185sm1052299wmb.7.2020.03.30.14.25.02
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 30 Mar 2020 14:25:02 -0700 (PDT)
From: Philipp Stephani <p.stephani2@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.90; elp-not-profilable not up to date
Date: Mon, 30 Mar 2020 23:25:01 +0200
Message-ID: <wvr4sghpedsi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::42e
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: emacs -Q -eval '(elp-instrument-list (quote (float-time
 eq)))'
 Then something like C-x d leads to infinite recursion. It looks like the
 list `elp-not-profilable' is outdated and should be regenerated. 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: x.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (p.stephani2[at]gmail.com)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (p.stephani2[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)


emacs -Q -eval '(elp-instrument-list (quote (float-time eq)))'

Then something like C-x d leads to infinite recursion.  It looks like
the list `elp-not-profilable' is outdated and should be regenerated.


In GNU Emacs 27.0.90 (build 26, x86_64-pc-linux-gnu, GTK+ Version 3.24.12)
 of 2020-03-30
Repository revision: c6e0981b96eaa12c28b70c949ccd6e426c13df4d
Repository branch: emacs-27
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux rodete

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --enable-gcc-warnings=3Dwarn-only
 --enable-gtk-deprecation-warnings --without-pop --with-mailutils
 --enable-checking --enable-check-lisp-object-type --with-modules
 'CFLAGS=3D-O0 -ggdb3''

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
LIBSELINUX GNUTLS FREETYPE HARFBUZZ XFT ZLIB TOOLKIT_SCROLL_BARS GTK3
X11 XDBE XIM MODULES THREADS PDUMPER GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec epa epg epg-config gnus-util
rmail rmail-loaddefs text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils phst skeleton
derived edmacro kmacro pcase ffap thingatpt url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json url-vars
subr-x rx map gnutls puny seq byte-opt gv bytecomp byte-compile cconv
dbus xml cl-loaddefs cl-lib tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 60087 7983)
 (symbols 48 8215 1)
 (strings 32 21013 1555)
 (string-bytes 1 684132)
 (vectors 16 12144)
 (vector-slots 8 169112 6402)
 (floats 8 25 25)
 (intervals 56 202 0)
 (buffers 1000 12))

--=20
Google Germany GmbH
Erika-Mann-Stra=C3=9Fe 33
80636 M=C3=BCnchen

Registergericht und -nummer: Hamburg, HRB 86891
Sitz der Gesellschaft: Hamburg
Gesch=C3=A4ftsf=C3=BChrer: Paul Manicle, Halimah DeLaine Prado

If you received this communication by mistake, please don=E2=80=99t forward=
 it to
anyone else (it may contain confidential or privileged information), please
erase all copies of it, including all attachments, and please let the sender
know it went to the wrong person.  Thanks.




Acknowledgement sent to Philipp Stephani <p.stephani2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40335; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 13 Apr 2020 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.